# Class MolstarAlignmentLoader

#### Hierarchy

- MolstarAlignmentLoader

#### Implements

- StructureLoaderInterface<[ViewerActionManagerInterface<LoadMolstarInterface<AlignmentTrajectoryParamsType, LoadMolstarReturnType>, LoadMolstarReturnType>, {
  entityId: string;
  entryId: string;
  } | {
  entryId: string;
  instanceId: string;
  }, TargetAlignment], LoadMolstarReturnType>

- Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarUtils/MolstarAlignmentLoader.ts:24

#####
Index

### Constructors

constructor

### Properties

loadParamsProvider?
structureMap

### Methods

load

## Constructors

### constructor

- new MolstarAlignmentLoader(loadParamsProvider?): MolstarAlignmentLoader

- #### Parameters

  - ##### `Optional` loadParamsProvider: LoadParamsProviderInterface<{
    entryId: string;
    instanceId: string;
    }, LoadMolstarInterface<AlignmentTrajectoryParamsType, LoadMolstarReturnType>>

  #### Returns MolstarAlignmentLoader

  - Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarUtils/MolstarAlignmentLoader.ts:31

## Properties

### `Private` `Optional` `Readonly` loadParamsProvider

loadParamsProvider?: LoadParamsProviderInterface<{
entryId: string;
instanceId: string;
}, LoadMolstarInterface<AlignmentTrajectoryParamsType, LoadMolstarReturnType>>

#### Type declaration

- ##### entryId: string

- ##### instanceId: string

- Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarUtils/MolstarAlignmentLoader.ts:30

### `Private` `Readonly` structureMap

structureMap: Set<string> = ...

- Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarUtils/MolstarAlignmentLoader.ts:34

## Methods

### load

- load(structureViewer, pdb, targetAlignment): Promise<undefined | LoadMolstarReturnType>

- #### Parameters

  - ##### structureViewer: ViewerActionManagerInterface<LoadMolstarInterface<AlignmentTrajectoryParamsType, LoadMolstarReturnType>, LoadMolstarReturnType>

  - ##### pdb: {
    entityId: string;
    entryId: string;
    } | {
    entryId: string;
    instanceId: string;
    }

  - ##### targetAlignment: TargetAlignment

  #### Returns Promise<undefined | LoadMolstarReturnType>

  Implementation of StructureLoaderInterface.load

  - Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/MolstarUtils/MolstarAlignmentLoader.ts:36

Generated using TypeDoc